import { PolarLineSeriesBase } from "./PolarLineSeriesBase";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Path } from "igniteui-react-core";
import { PolarLineSeriesBaseView } from "./PolarLineSeriesBaseView";
import { List$1 } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class PolarSplineSeries extends PolarLineSeriesBase {
    static $t: Type;
    protected bc(): Series;
    protected get_fe(): boolean;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    zo: PolarSplineSeriesView;
    constructor();
    zp: number;
    protected pa(a: any, b: string, c: any, d: any): void;
    protected zm(a: SeriesView): void;
    zn(a: PolarFrame, b: PolarBaseView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarSplineSeriesView extends PolarLineSeriesBaseView {
    static $t: Type;
    protected c7: PolarSplineSeries;
    constructor(a: PolarSplineSeries);
    au(): void;
    db: Path;
    da: Path;
    c8(): void;
    c9(a: List$1<Point>, b: number): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
